#ifndef l2calcore_h
#define l2calcore_h
#include <TSystem.h>
#include <TSQLServer.h>
#include <GLTables.h>

struct FlCaLevel1 {
    Double_t al_p[5][2];
    Float_t estrip[96][22][2];
    Int_t good2;
    Int_t trkchi2;
    Float_t xalig;
    Float_t yalig;
    Float_t zalig;
    Float_t emin;
    Float_t riginput;
    Int_t hzn;
    Int_t npla;
    Int_t reverse;
};

struct FlCaLevel2 {
    Int_t fmode[2];
    Float_t wartrig;
    Float_t trigty;
    Int_t good;
    Int_t perr[4];
    Int_t swerr[4];
    Int_t crc[4];
    Int_t selftrigger;
    Float_t nstrip;
    Float_t nsatstrip;
    Float_t qtot;
    Float_t ncore;
    Float_t qcore;
    Float_t impx;
    Float_t impy;
    Float_t tanx;
    Float_t tany;
    Float_t noint;
    Float_t ncyl;
    Float_t qcyl;
    Float_t qtrack;
    Float_t qmax;
    Float_t nx22;
    Float_t qx22;
    Float_t qq[4];
    Float_t qtrackx;
    Float_t qtracky;
    Float_t dxtrack;
    Float_t dytrack;
    Float_t qlast;
    Float_t nlast;
    Float_t qpre;
    Float_t npre;
    Float_t qpresh;
    Float_t npresh;
    Float_t qlow;
    Float_t nlow;
    Float_t qtr;
    Float_t ntr;
    Float_t planetot;
    Float_t qmean;
    Int_t planemax[2];
    Float_t dX0l;
    Float_t varcfit[2];
    Int_t npcfit[2];
    Int_t cibar[22][2];
    Int_t tibar[22][2];
    Float_t cbar[22][2];
    Float_t tbar[22][2];
    Float_t elen;
    Float_t selen;
    Int_t selfdelay[4][7];
};

/* struct FlEventi{ */
/*     Float_t dexy[96][22][2]; */
/* }; */

/* struct FlGruppo{ */
/*     Float_t clus[96][22][2]; */
/*     Int_t ncl[22][2]; */
/* }; */

/* struct FlGruppo2{ */
/*     Float_t clus2[96][22][2]; */
/*     Int_t ncl2[22][2]; */
/* }; */

/* struct FlGruppo4{ */
/*     Float_t clus4[96][22][2]; */
/*     Int_t ncl4[22][2]; */
/* }; */

/* struct FlTaglioen{ */
/*     Float_t einf; */
/*     Float_t esup; */
/*     Float_t ener[2]; */
/* }; */

/* struct FlAngolo{ */
/*     Float_t bar[22][2]; */
/*     Int_t ibar[22][2]; */
/* }; */

/* struct FlWhere{ */
/*     Float_t cx; */
/*     Float_t cy; */
/*     Float_t piano[22]; */
/* }; */

/* struct FlGeneral{ */
/*     Float_t rig; */
/*     Float_t rmass; */
/* }; */

/* struct FlCh{ */
/*     Float_t check; */
/* }; */

/* struct FlCalofit{ */
/*     Float_t varfit[2]; */
/*     Int_t npfit[2]; */
/*     Int_t iwpl[2]; */
/*     Int_t chtrack; */
/* }; */

/* struct FlPawcd{ */
/*     Float_t hmemor[9000000]; */
/* }; */

/* struct FlQuestd{ */
/*     Int_t iquest[100]; */
/* }; */

extern int CaloCore(UInt_t run, TFile *file, GL_TABLES *glt, Int_t calargc, char *calargv[]);

#endif
